<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>My Categories</title>
</head>
<body>
    <main>
        <h1>My Categories</h1>
        <nav>
          <a href="{% url 'home' %}">Home</a>
        </nav>
        <table>
            <thead>
              <tr>
                <th>Name</th>
                <th>Number of receipts</th>
              </tr>
            </thead>
            <tbody>
              {% for category in categories %}
                <tr>
                  <td>{{ category.name }}</td>
                  <td>{{ category.receipts.all|length }}</td>
                </tr>
              {% endfor %}
            </tbody>
          </table>
      
    </main>
</body>
</html>